<?xml version="1.0" encoding="UTF-8"?>

<queryMap desc = "处置方案 审核出路">

<query id = "FrmOfflineProcessAudit.doUpdate" desc = "处置方案审核">
   update offline_process_audit
   set 
       audit_man1   = '#AUDIT_MAN1#',
       audit_time1  = to_date('#AUDIT_TIME1#','yyyy-mm-dd hh24:mi:ss'),
       audit_state1 = '#AUDIT_STATE1#',
       audit_dep1   = '#AUDIT_DEP1#',
       audit_man2   = '#AUDIT_MAN2#',
       audit_time2  = to_date('#AUDIT_TIME2#','yyyy-mm-dd hh24:mi:ss'),
       audit_state2 = '#AUDIT_STATE2#',
       audit_dep2   = '#AUDIT_DEP2#',
       audit_man3   = '#AUDIT_MAN3#',
       audit_time3  = to_date('#AUDIT_TIME3#','yyyy-mm-dd hh24:mi:ss'),
       audit_state3 = '#AUDIT_STATE3#',
       audit_dep3   = '#AUDIT_DEP3#',
       memo1        = '#MEMO1#',
               = '#MEMO2#',
       memo3        = '#MEMO3#'
 where result_no = '#RESULT_NO#'
</query>

 <query id = "FrmOfflineProcessAudit.doAddAudits">
 <![CDATA[
    insert into offline_process_audit_s(audit_man2,audit_time2,audit_state2,audit_dep2,memo2,id)
    values(?,SYSDATE,?,?,?,?)
    ]]>
 </query>
 
 <query id= "FrmOfflineProcessAudit.selectAuditsPass">
  <![CDATA[
    select count(1) acount from   offline_process_audit_s 
    where id = ? and audit_state2 = '2'
   ]]>
 </query>
</queryMap>